Help

Getting Started with PCTETHER

This Help page provides a quick summary of some of the features of PCTETHER and links to other
useful information about PCTETHER.

Help Topics

Need more help? Please contact us or call us at 1-800-232-3989

System Requirements

You must be running one of the following operating systems. All operating systems must have the Microsoft .NET Framework 3.5 installed.
  1. Windows 7 (all editions)
  2. Windows 8 (all non-RT RTM editions)
  3. Windows 8.1 (all non-RT editions; RTM recommended)

Installing and Configuring .NET Framework 3.5.

If you are using the Windows operating system, the .NET Framework may already be installed on your computer. Specifically, the .NET Framework 4.5 is included with Windows 8 and installed on your computer with the Windows 8 operating system. Similarly, the .NET Framework 4.5.1 is included with Windows 8.1.

Important

There is no download for the .NET Framework 3.5 for Windows 8 or Windows 8.1. You must enable the .NET Framework 3.5 in Control Panel by following the instructions provided in this article.

If you install an app that requires a specific version of the .NET Framework, the app's setup program might install the .NET Framework on your computer or prompt you to install it. For example, the .NET Framework 3.5 is not automatically installed with Windows 8 or Windows 8.1. To run apps that require the .NET Framework 3.5 on Windows 8 or later, you must enable version 3.5 on your computer. There are two ways you can do this: by installing or running an app that requires the .NET Framework 3.5 (that is, by installing the .NET Framework 3.5 on demand), or by enabling the .NET Framework 3.5 in Control Panel. Both options require an Internet connection.

In general, you should not uninstall any versions of the .NET Framework from your computer, because an app you use may depend on a specific version and may break if that version is removed. Multiple versions of the .NET Framework can be loaded on a single computer at the same time. This means that you do not have to uninstall previous versions in order to install a later version.

Important notes:

  • Use the .NET Framework 3.5 for apps built for versions 2.0 and 3.0 as well as 3.5.
  • Installing a Windows language pack before installing the .NET Framework 3.5 will cause the .NET Framework 3.5 installation to fail. Install the .NET Framework 3.5 before installing any Windows language packs.
  • Windows CardSpace is not available with the .NET Framework 3.5 on Windows 8.

Installing the .NET Framework 3.5 on Demand

If an app requires the .NET Framework 3.5, but doesn't find that version enabled on your computer, it displays the following message box, either during installation, or when you run the app for the first time. In the message box, choose Install this feature to enable the .NET Framework 3.5. This option requires an Internet connection.

Prompt for installing the .NET Framework 3.5 on demand

Dialog box for 3.5 install on Windows 8

Enabling the .NET Framework 3.5 in Control Panel

You can also enable the .NET Framework 3.5 yourself through Control Panel. In Control Panel, choose Programs and Features, choose Turn Windows features on or off, and then select the .NET Framework 3.5 (includes .NET 2.0 and 3.0) check box. This option requires an Internet connection. You do not need to select the child items for Windows Communication Foundation (WCF) HTTP activation unless you are a developer who requires WCF script and handler mapping functionality.

Turning Windows features on or off in Control Panel

Turn Windows Features On Off